# Class TradeInfo

#### Hierarchy

- unknown
  - TradeInfo

- Defined in src/protobuf/grpc_pb.d.ts:2724
- Defined in src/protobuf/grpc_pb.d.ts:2854

#####
Index

### Constructors

constructor

### Methods

clearContract
clearOffer
getAmount
getArbitratorNodeAddress
getBuyerDepositTxFee
getBuyerPayoutAmount
getBuyerPayoutTxFee
getBuyerSecurityDeposit
getContract
getContractAsJson
getDate
getDisputeState
getIsCompleted
getIsDepositsConfirmed
getIsDepositsPublished
getIsDepositsUnlocked
getIsPaymentReceived
getIsPaymentSent
getIsPayoutConfirmed
getIsPayoutPublished
getIsPayoutUnlocked
getMakerDepositTxId
getMakerFee
getOffer
getPayoutState
getPayoutTxId
getPeriodState
getPhase
getPrice
getRole
getSellerDepositTxFee
getSellerPayoutAmount
getSellerPayoutTxFee
getSellerSecurityDeposit
getShortId
getState
getTakerDepositTxId
getTakerFee
getTradeId
getTradePeerNodeAddress
getTradeVolume
hasContract
hasOffer
serializeBinary
setAmount
setArbitratorNodeAddress
setBuyerDepositTxFee
setBuyerPayoutAmount
setBuyerPayoutTxFee
setBuyerSecurityDeposit
setContract
setContractAsJson
setDate
setDisputeState
setIsCompleted
setIsDepositsConfirmed
setIsDepositsPublished
setIsDepositsUnlocked
setIsPaymentReceived
setIsPaymentSent
setIsPayoutConfirmed
setIsPayoutPublished
setIsPayoutUnlocked
setMakerDepositTxId
setMakerFee
setOffer
setPayoutState
setPayoutTxId
setPeriodState
setPhase
setPrice
setRole
setSellerDepositTxFee
setSellerPayoutAmount
setSellerPayoutTxFee
setSellerSecurityDeposit
setShortId
setState
setTakerDepositTxId
setTakerFee
setTradeId
setTradePeerNodeAddress
setTradeVolume
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TradeInfo(): TradeInfo

- #### Returns TradeInfo

  Inherited from jspb.Message.constructor

## Methods

### clearContract

- clearContract(): TradeInfo

- #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2832

### clearOffer

- clearOffer(): TradeInfo

- #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2728

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2742

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2778

### getBuyerDepositTxFee

- getBuyerDepositTxFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2757

### getBuyerPayoutAmount

- getBuyerPayoutAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2769

### getBuyerPayoutTxFee

- getBuyerPayoutTxFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2763

### getBuyerSecurityDeposit

- getBuyerSecurityDeposit(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2751

### getContract

- getContract(): undefined | ContractInfo

- #### Returns undefined | ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2829

### getContractAsJson

- getContractAsJson(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2826

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:2736

### getDisputeState

- getDisputeState(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2796

### getIsCompleted

- getIsCompleted(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2823

### getIsDepositsConfirmed

- getIsDepositsConfirmed(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2802

### getIsDepositsPublished

- getIsDepositsPublished(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2799

### getIsDepositsUnlocked

- getIsDepositsUnlocked(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2805

### getIsPaymentReceived

- getIsPaymentReceived(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2811

### getIsPaymentSent

- getIsPaymentSent(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2808

### getIsPayoutConfirmed

- getIsPayoutConfirmed(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2817

### getIsPayoutPublished

- getIsPayoutPublished(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2814

### getIsPayoutUnlocked

- getIsPayoutUnlocked(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2820

### getMakerDepositTxId

- getMakerDepositTxId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2837

### getMakerFee

- getMakerFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2745

### getOffer

- getOffer(): undefined | OfferInfo

- #### Returns undefined | OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2725

### getPayoutState

- getPayoutState(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2793

### getPayoutTxId

- getPayoutTxId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2843

### getPeriodState

- getPeriodState(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2790

### getPhase

- getPhase(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2787

### getPrice

- getPrice(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2775

### getRole

- getRole(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2739

### getSellerDepositTxFee

- getSellerDepositTxFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2760

### getSellerPayoutAmount

- getSellerPayoutAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2772

### getSellerPayoutTxFee

- getSellerPayoutTxFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2766

### getSellerSecurityDeposit

- getSellerSecurityDeposit(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2754

### getShortId

- getShortId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2733

### getState

- getState(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2784

### getTakerDepositTxId

- getTakerDepositTxId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2840

### getTakerFee

- getTakerFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2748

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2730

### getTradePeerNodeAddress

- getTradePeerNodeAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2781

### getTradeVolume

- getTradeVolume(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2834

### hasContract

- hasContract(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2831

### hasOffer

- hasOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2727

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2846

### setAmount

- setAmount(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2743

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2779

### setBuyerDepositTxFee

- setBuyerDepositTxFee(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2758

### setBuyerPayoutAmount

- setBuyerPayoutAmount(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2770

### setBuyerPayoutTxFee

- setBuyerPayoutTxFee(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2764

### setBuyerSecurityDeposit

- setBuyerSecurityDeposit(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2752

### setContract

- setContract(value?: ContractInfo): TradeInfo

- #### Parameters

  - ##### `Optional` value: ContractInfo

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2830

### setContractAsJson

- setContractAsJson(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2827

### setDate

- setDate(value: number): TradeInfo

- #### Parameters

  - ##### value: number

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2737

### setDisputeState

- setDisputeState(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2797

### setIsCompleted

- setIsCompleted(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2824

### setIsDepositsConfirmed

- setIsDepositsConfirmed(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2803

### setIsDepositsPublished

- setIsDepositsPublished(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2800

### setIsDepositsUnlocked

- setIsDepositsUnlocked(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2806

### setIsPaymentReceived

- setIsPaymentReceived(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2812

### setIsPaymentSent

- setIsPaymentSent(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2809

### setIsPayoutConfirmed

- setIsPayoutConfirmed(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2818

### setIsPayoutPublished

- setIsPayoutPublished(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2815

### setIsPayoutUnlocked

- setIsPayoutUnlocked(value: boolean): TradeInfo

- #### Parameters

  - ##### value: boolean

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2821

### setMakerDepositTxId

- setMakerDepositTxId(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2838

### setMakerFee

- setMakerFee(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2746

### setOffer

- setOffer(value?: OfferInfo): TradeInfo

- #### Parameters

  - ##### `Optional` value: OfferInfo

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2726

### setPayoutState

- setPayoutState(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2794

### setPayoutTxId

- setPayoutTxId(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2844

### setPeriodState

- setPeriodState(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2791

### setPhase

- setPhase(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2788

### setPrice

- setPrice(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2776

### setRole

- setRole(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2740

### setSellerDepositTxFee

- setSellerDepositTxFee(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2761

### setSellerPayoutAmount

- setSellerPayoutAmount(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2773

### setSellerPayoutTxFee

- setSellerPayoutTxFee(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2767

### setSellerSecurityDeposit

- setSellerSecurityDeposit(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2755

### setShortId

- setShortId(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2734

### setState

- setState(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2785

### setTakerDepositTxId

- setTakerDepositTxId(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2841

### setTakerFee

- setTakerFee(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2749

### setTradeId

- setTradeId(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2731

### setTradePeerNodeAddress

- setTradePeerNodeAddress(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2782

### setTradeVolume

- setTradeVolume(value: string): TradeInfo

- #### Parameters

  - ##### value: string

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2835

### toObject

- toObject(includeInstance?: boolean): TradeInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TradeInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2847

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2850

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeInfo, reader: BinaryReader): TradeInfo

- #### Parameters

  - ##### message: TradeInfo

  - ##### reader: BinaryReader

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2851

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TradeInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2849

### `Static` toObject

- toObject(includeInstance: boolean, msg: TradeInfo): TradeInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeInfo

  #### Returns TradeInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2848

Generated using TypeDoc